--[[
Useful Fonksiyonlar
--]]
extraButonTablo = {}
secenekTablo = {}
resimTablo = {}
panelTablo = {}
butonTablo = {}
labelTablo = {}
resimTablo = {}
editTablo = {}

function ekranOrtala(element, degisken1, degisken2)
local ekranW, ekranH = guiGetScreenSize()
local elementW, elementH = guiGetSize(element, false)
local x, y = (ekranW - elementW) /tonumber(degisken1),(ekranH - elementH) /tonumber(degisken2)
return guiSetPosition(element, x, y, false)
end

function multipleGUIElement(fonksiyon, tablo, type)
for i, element in pairs(tablo) do
fonksiyon(element, type)
end
end

function renkVer(renk, parent)
guiSetProperty(parent, "ImageColours", renk)
end

function resimOlustur(x, y, z, w, konum, parent)
resimSira = #resimTablo+1
if not resimTablo[resimSira] then resimTablo[resimSira] = {} end
resimTablo[resimSira].resimadi = guiCreateStaticImage(x, y, z, w, konum, false, parent)
guiSetEnabled(resimTablo[resimSira].resimadi, false)
return resimTablo[resimSira].resimadi
end

function panelOlustur(yazi, z, w, renk1, renk2, renk3, renk4, visible, parent)
panelSira = #panelTablo+1
if not panelTablo[panelSira] then panelTablo[panelSira] = {} end
panelTablo[panelSira].paneladi = guiCreateStaticImage(0, 0, z, w, dosyaTablosu[1], false, parent)
guiSetProperty(panelTablo[panelSira].paneladi, "ImageColours", renk1)
panelTablo[panelSira].panelmenu = guiCreateStaticImage(3, 3, z-6, w-6, dosyaTablosu[1], false, panelTablo[panelSira].paneladi)
guiSetProperty(panelTablo[panelSira].panelmenu, "ImageColours", renk2)
ekranOrtala(panelTablo[panelSira].paneladi, 2, 2)
panelTablo[panelSira].baslik, panelTablo[panelSira].baslikLabel = butonOlustur(yazi, 5, 5, z-15, 30, 255, 255, 255, renk3, renk4, panelTablo[panelSira].panelmenu)
guiSetEnabled(panelTablo[panelSira].baslik, false)
guiSetVisible(panelTablo[panelSira].paneladi, visible)
return panelTablo[panelSira].paneladi, panelTablo[panelSira].panelmenu
end

function butonOlustur(yazi, x, y, z, w, r, g, b, renk1, renk2, parent)
butonSira = #butonTablo+1
if not butonTablo[butonSira] then butonTablo[butonSira] = {} end
butonTablo[butonSira].butonadi = guiCreateStaticImage(x, y, z, w, dosyaTablosu[1], false, parent)
guiSetProperty(butonTablo[butonSira].butonadi, "ImageColours", renk1)
butonTablo[butonSira].butonrenk = guiCreateStaticImage(3, 3, z-6, w-6, dosyaTablosu[1], false, butonTablo[butonSira].butonadi)
guiSetProperty(butonTablo[butonSira].butonrenk, "ImageColours", renk2)
butonTablo[butonSira].labeltyazi = labelOlustur(yazi, -4, -4.5, z, w, terimler.font, r, g, b, butonTablo[butonSira].butonrenk)
guiSetEnabled(butonTablo[butonSira].butonrenk, false)
return butonTablo[butonSira].butonadi, butonTablo[butonSira].butonrenk, butonTablo[butonSira].labeltyazi
end

function labelOlustur(yazi, x, y, z, w, font, r, g, b, parent)
labelSira = #labelTablo+1
if not labelTablo[labelSira] then labelTablo[labelSira] = {} end
labelTablo[labelSira].labeladi = guiCreateLabel(x, y-7, z, w, yazi, false, parent)
guiLabelSetHorizontalAlign(labelTablo[labelSira].labeladi, "center")
guiLabelSetVerticalAlign(labelTablo[labelSira].labeladi, "bottom")
guiLabelSetColor(labelTablo[labelSira].labeladi, r, g, b)
guiSetFont(labelTablo[labelSira].labeladi, font)
return labelTablo[labelSira].labeladi
end

function editOlustur(yazi, font, x, y, z, w, parent)
editSira = #editTablo+1
if not editTablo[editSira] then editTablo[editSira] = {} end
editTablo[editSira].editgizle = guiCreateLabel(x, y, z, w, "", false, parent)
editTablo[editSira].editadi = guiCreateEdit(-6, -6, z+12, w+12, yazi, false, editTablo[editSira].editgizle)
guiSetFont(editTablo[editSira].editadi, font)
return editTablo[editSira].editadi
end

function secenekOlustur(yazi, x, y, z, w, renk1, renk2, r, g, b, font, parent)
secenekSira = #secenekTablo+1
if not secenekTablo[secenekSira] then secenekTablo[secenekSira] = {} end
secenekTablo[secenekSira].seceneklabel = labelOlustur(yazi, x+25, y+6, z+90, w, terimler.font, r, g, b, parent)
secenekTablo[secenekSira].secenekbuton, secenekTablo[secenekSira].secenekbutonmenu = butonOlustur('', x, y, z, w, r, g, b, renk1, renk2, parent)
return secenekTablo[secenekSira].secenekbuton, secenekTablo[secenekSira].secenekbutonmenu, secenekTablo[secenekSira].seceneklabel
end


function extraButonOlustur(yazi1, yazi2, yazi3, yazi4, yazi5, y, z, w, r, g, b, renk1, renk2, parent)
extraButonSira = #extraButonTablo+1
if not extraButonTablo[extraButonSira] then extraButonTablo[extraButonSira] = {} end
extraButonTablo[extraButonSira].b1 = butonOlustur(yazi1, ayarlarTablosu.buton.x, y, z, w, r, g, b, renk1, renk2, parent)
extraButonTablo[extraButonSira].b2 = butonOlustur(yazi2, ayarlarTablosu.buton.x+ayarlarTablosu.buton.boslukx, y, z, w, r, g, b, renk1, renk2, parent)
extraButonTablo[extraButonSira].b3 = butonOlustur(yazi3, ayarlarTablosu.buton.x+ayarlarTablosu.buton.boslukx+ayarlarTablosu.buton.boslukx, y, z, w, r, g, b, renk1, renk2, parent)
extraButonTablo[extraButonSira].b4 = butonOlustur(yazi4, ayarlarTablosu.buton.x+ayarlarTablosu.buton.boslukx+ayarlarTablosu.buton.boslukx+ayarlarTablosu.buton.boslukx, y, z, w, r, g, b, renk1, renk2, parent)
extraButonTablo[extraButonSira].b5 = butonOlustur(yazi5, ayarlarTablosu.buton.x+ayarlarTablosu.buton.boslukx+ayarlarTablosu.buton.boslukx+ayarlarTablosu.buton.boslukx+ayarlarTablosu.buton.boslukx, y, z, w, r, g, b, renk1, renk2, parent)
return extraButonTablo[extraButonSira].b1, extraButonTablo[extraButonSira].b2, extraButonTablo[extraButonSira].b3, extraButonTablo[extraButonSira].b4, extraButonTablo[extraButonSira].b5
end