--//Hesap Kaydetme
function loadLoginFromXML()
local xml_save_log_File = xmlLoadFile("files/xml/saves.xml")
if not xml_save_log_File then
xml_save_log_File = xmlCreateFile("files/xml/saves.xml", "login")
end
local usernameNode = xmlFindChild (xml_save_log_File, "username", 0)
local passwordNode = xmlFindChild (xml_save_log_File, "password", 0)
if usernameNode and passwordNode then
return xmlNodeGetValue(usernameNode), xmlNodeGetValue(passwordNode)
else
return "", ""
end
xmlUnloadFile (xml_save_log_File)
end

local hesap, sifre = loadLoginFromXML()	
if not(hesap == "" or sifre == "") then
getElementData(kaydetCheck, 'secilimi', true)
guiSetText(hesapEdit, tostring(hesap))
guiSetText(sifreEdit, tostring(sifre))
renkVer(renkTablosu[7], kaydetRenk)
setElementData(kaydetCheck, 'secilimi', true)
else
getElementData(kaydetCheck, 'secilimi', false)
guiSetText(hesapEdit, tostring(hesap))
guiSetText(sifreEdit, tostring(sifre))
renkVer(renkTablosu[0], kaydetRenk)
setElementData(kaydetCheck, 'secilimi', false)
end
 
function saveLoginToXML(hesap, sifre)
local xml_save_log_File = xmlLoadFile("files/xml/saves.xml")
if not xml_save_log_File then
xml_save_log_File = xmlCreateFile("files/xml/saves.xml", "login")
end
if (hesap ~= "") then
local usernameNode = xmlFindChild (xml_save_log_File, "username", 0)
if not usernameNode then
usernameNode = xmlCreateChild(xml_save_log_File, "username")
end
xmlNodeSetValue (usernameNode, tostring(hesap))
end
if (sifre ~= "") then
local passwordNode = xmlFindChild (xml_save_log_File, "password", 0)
if not passwordNode then
passwordNode = xmlCreateChild(xml_save_log_File, "password")
end		
xmlNodeSetValue (passwordNode, tostring(sifre))
end
xmlSaveFile(xml_save_log_File)
xmlUnloadFile (xml_save_log_File)
end
addEvent("saveLoginToXML", true)
addEventHandler("saveLoginToXML", getRootElement(), saveLoginToXML)

function resetSaveXML()
local xml_save_log_File = xmlLoadFile("files/xml/saves.xml")
if not xml_save_log_File then
xml_save_log_File = xmlCreateFile("files/xml/saves.xml", "login")
end
if (hesap ~= "") then
local usernameNode = xmlFindChild (xml_save_log_File, "username", 0)
if not usernameNode then
usernameNode = xmlCreateChild(xml_save_log_File, "username")
end
end
if (sifre ~= "") then
local passwordNode = xmlFindChild (xml_save_log_File, "password", 0)
if not passwordNode then
passwordNode = xmlCreateChild(xml_save_log_File, "password")
end		
xmlNodeSetValue (passwordNode, "")
end
xmlSaveFile(xml_save_log_File)
xmlUnloadFile (xml_save_log_File)
end
addEvent("resetSaveXML", true)
addEventHandler("resetSaveXML", getRootElement(), resetSaveXML)